Skip to navigation

Get Configuration

This endpoint is used to retrieve the merchant’s payment configuration, i.e. the merchant’s available payment types, and the valid payment ranges for each. A request to Create Order will be rejected if the total amount is not between the minimumAmount and maximumAmount (inclusive).

Note: Afterpay merchant configuration does not change frequently. For this reason, the configuration response will include Cache-Control headers in order to minimise network round trips when using a modern HTTP client. Note: Currently, PAY_BY_INSTALLMENT is the only payment type offered.

Connection Timeouts

TimeoutTime (Seconds)
Open10
Read20

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

environmentstringRequired

Use api-sandbox for AU/NZ, or api.us-sandbox for US.

Headers

User-AgentstringRequired
AcceptstringOptionalDefaults to application/json

Response

AttributeTypeDescription
typestringThe name of the payment type.
descriptionstringThe description of the payment type.
minimumAmountMoneyMinimum order amount. Note: This attribute may not be included if the Merchant account has no minimum order amount.
maximumAmountMoneyMaximum order amount.